#ifndef BOX_HH
#define BOX_HH

#include "object.hh"
#include "vector.hh"

class Box: public Object {
private:
  Vector low, high;
public:
  Box (const Vector& low_, const Vector& high_);
  virtual const void inside (Vector& point, const Vector& old) const;
  virtual const void adjust (Vector& force, const Vector& point) const;
  virtual ~Box() {}
};

#else

class Box;

#endif
