#ifndef GROUND_HH
#define GROUND_HH

#include "object.hh"
#include "vector.hh"

class GroundPlane: public Object {
private:
  double dist_;
public:
  GroundPlane (double pos);
  virtual const void inside (Vector& point, const Vector& old) const;
  virtual const void adjust (Vector& force, const Vector& point) const;
  virtual ~GroundPlane() {}
};

#else

class GroundPlane;

#endif
