#ifndef PARAMS_HH
#define PARAMS_HH

// geometry options
#define X_SIZE 100
#define Y_SIZE 100
#define dist 1
#define d2 (dist*1.4142135623730951454746218587388284504413604736328125)
#define HNOISE 0.05
#define VNOISE 0.1

// physics options
#define strength (2.0/dist)
#define s2 (1.0/dist)
#define curve (0.05/dist)
#define weight (0.005*dist*dist)
#define friction (0.0001*dist*dist)

// simulator options
#define step 0.2
#define STEPS 160000

// geometry options
/*#define X_SIZE 50
#define Y_SIZE 50
#define dist 2
#define d2 (dist*1.4142135623730951454746218587388284504413604736328125)
#define HNOISE 0.25
#define VNOISE 0.5

// physics options
#define strength 0.5
#define s2 0.25
#define weight 0.05
#define friction 0.01

// simulator options
#define step 0.2
#define STEPS 10000
*/

#endif
